package tests

import (
	"kerma/models"
	"testing"

	. "github.com/smartystreets/goconvey/convey"
)

func TestGeneric(t *testing.T) {
	Convey("Given a new generic request", t, func() {
		var generic models.Generic

		Convey("When the BuildPeerRequest method is called", func() {
			generic.BuildPeerRequest()

			Convey("The type should be 'getpeers'", func() {
				So(generic.Type, ShouldEqual, "getpeers")
			})
		})
	})
}
